Bug 156418 - Dell Latitude c600 psmouse.c
Dell Latitude c600 psmouse.c
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-29 18:20 EDT by Kyrre Ness Sjøbæk
Modified: 2015-01-04 17:19 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:39:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyrre Ness Sjøbæk 2005-04-29 18:20:37 EDT
Description of problem:
If i boot the mentioned computer with an external ps/2 mouse connected, the
touchpad/pointing-stick stops working. If i boot in external or internal config,
i can't plugin/plugout my external ps/2 mouse (change configuration) without
making trouble - i loose all contact with the mouse untill reboot. Changing
config back doesn't make it any better.

I i check console and touch the touchpad, the following message is displayed:
psmouse.c: TouchPad at iso0060/serio1/input0 lost sync at byte 1

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1275_FC4

How reproducible:
Every time

Steps to Reproduce:
1.Boot computer with external ps/2 mouse (or without)
2.Log into X11 etc (i do not know if X11 is neccessary to produce this bug)
3.Unplug mouse (plugin mouse)
4.Mouse becomes unresponsive
  
Actual results:
Mouse becomes unresponsive

Expected results:
Mouse detected and working

Additional info:
Same happened in Ubuntu Hoary
Comment 1 Dave Jones 2005-10-06 01:40:05 EDT
Any better with the errata kernel ?
Comment 2 Kyrre Ness Sjøbæk 2005-10-22 08:25:49 EDT
It is still there - if i boot the computer without a mouse connected, and then
plugin a ps/2 mouse, same thing happen. If i merely touch the touchpad (or
pointing stick, or external mouse), my console gets filled up with the messages
mentioned. If i disconnect the mouse again, it still doesn't work. To get the
mouse back i need to reboot or connect an USB mouse.

This is kernel 2.6.13-1.1621_FC5, rawhide.
Comment 3 Dave Jones 2005-11-10 14:37:31 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 4 Kyrre Ness Sjøbæk 2005-11-20 14:45:29 EST
I'm sorry, but the laptop isn't in my hands atm, so i can't install OS'es etc.
to it. I can however boot it with a live-cd and test, if you know of something
that should produce the same results as the fedora kernel (some liveCD with
similar/same/newer kernel)
Comment 5 Dave Jones 2005-11-21 12:03:37 EST
sadly, we dont have livecd's yet (though some work is going on there for fc5 I
believe).

I'll put this back into NEEDINFO_REPORTER, feel free to just leave it set that
way until you get a chance to test. (Note, that adding a comment will
automatically transition it back out of NEEDINFO. "Curse you bugzilla!")
Comment 6 Dave Jones 2006-02-03 01:53:03 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 7 Kyrre Ness Sjøbæk 2006-02-10 15:47:20 EST
The computer is a bit broken atm (bad LCD panel backligthing), but i can connect
an external disp. to it.

Do you know of any liveCD with a comparable kernel, that i could stick into the
computer and test? It probably doesn't even have do do x11, as long as the
terminal mouse services daemon is running, ill guess... Gentoo live-CD perhaps?
Comment 8 Dave Jones 2006-09-16 22:15:46 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 9 Dave Jones 2006-10-16 17:16:55 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 10 Edouard Bourguignon 2007-04-25 02:34:50 EDT
Same problem on F7 test 3 on a Dell Inspiron 8100:

psmouse.c: TouchPad at isa0060/serio1/input0 lost synchronization, throwing 2
bytes away.
psmouse.c: TouchPad at isa0060/serio1/input0 lost synchronization, throwing 2
bytes away.
psmouse.c: TouchPad at isa0060/serio1/input0 lost synchronization, throwing 3
bytes away.

Using kernel-2.6.20-1.3104.fc7
Comment 11 Edouard Bourguignon 2007-04-26 15:07:48 EDT
no more bytes thrown away on i586 kernel instead of i686
Comment 12 Jon Stanley 2008-01-19 23:39:41 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.